<template>
  <div class="contenedor">
    <div class="titulo" style="text-align: center">
      <strong> {{ objetoParametro.name }}</strong>
      <!--
      <grafica-circular-sup-mto
        :objetoParametro="objetoParametro.objectoInicioFinTrimestralZona"
      />-->
    </div>
    <v-container>
      <v-row class="mb-6" justify="center" no-gutters>
        <v-col lg="2"> </v-col>
        <v-col md="auto">
          <v-card
            max-width="280"
            class="pa-40 justify-center elevation-0"
            :to="direccionar"
          >
            <div
              class="text-center"
              style="
                white-space: nowrap;
                overflow: hidden;
                align: center;
                justify: center;
              "
            >
              {{ objetoParametro.value[0][0].nombreJefeZona }}
            </div>
            <div style="background: #ffcd00; height: 2px"></div>
            <GraficaCircularSupMto
              :objetoParametro="objetoParametro.objectoInicioFinTrimestralZona"
            />
            <v-card-text class="text-center">
              <strong>Cobertura total:</strong>
              <strong v-if="periodo.alDia">
                <br />
                {{ objetoParametro.objectoInicioFinTrimestralZona.value }} de
                {{ objetoParametro.objectoInicioFinTrimestralZona.programadasAlDia }}
                al día de hoy.
              </strong>
              <strong v-if="periodo.alPeriodo">
                <br />
                {{ objetoParametro.objectoInicioFinTrimestralZona.value }} de
                {{
                  objetoParametro.objectoInicioFinTrimestralZona.programadasAlTrimestre
                }}
                en el {{ periodo.periodo }}.
              </strong>
            </v-card-text>
          </v-card>
        </v-col>
        <v-col lg="2"> </v-col>
      </v-row>
    </v-container>
    <v-card>
      <v-container fluid>
        <v-row dense>
          <div v-for="(objetoCard, index2) in objetoParametro.value" :key="index2">
            <!--{{ index2 }} - {{ objetoCard[0] }}-->
            <v-col :cols="12" :sm="12" :md="11" :lg="11" :xl="11">
              <v-card
                max-width="280"
                class="pa-40 justify-center elevation-0"
                :to="objetoCard[0].to"
              >
                <v-card-subtitle class="text-center caption pt-0 pb-0"
                  >Cobertura {{ periodo.periodicidad }} de supervisión</v-card-subtitle
                >
                <v-card-subtitle
                  class="text-center caption pt-0 pb-0"
                  style="height: 40px"
                >
                  {{ objetoCard[0].territorio }}
                </v-card-subtitle>
                <div
                  class="text-center"
                  style="
                    white-space: nowrap;
                    overflow: hidden;
                    align: center;
                    justify: center;
                  "
                >
                  {{ objetoCard[0].responsable }}
                </div>
                <div style="background: #ffcd00; height: 2px"></div>
                <GraficaCircularSupMto
                  :objetoParametro="objetoCard[0].objectoInicioFinTrimestral"
                />
                <v-card-text class="text-center">
                  <strong>Cobertura total:</strong>
                  <strong v-if="periodo.alDia">
                    <br />
                    {{ objetoCard[0].objectoInicioFinAldia.value }} de
                    {{ objetoCard[0].objectoInicioFinAldia.programadasAlDia }}
                    al día de hoy.
                  </strong>
                  <strong v-if="periodo.alPeriodo">
                    <br />
                    {{ objetoCard[0].objectoInicioFinTrimestral.programadasAlTrimestre }}
                    Supervisión en el {{ periodo.periodo }}.
                  </strong>
                </v-card-text>
              </v-card>
            </v-col>
          </div>
        </v-row>
      </v-container>
    </v-card>
  </div>
</template>
<script>
import GraficaCircularSupMto from "../../dashboard/componentes/GraficaCircularSupMto.vue";

import store from "@/store";
const serviceCommons = store.state.serviceCommons;
const periodoSupervisionMtto = store.state.periodoSupervisionMtto;
export default {
  name: "CardAgrupadorDirector",
  components: { GraficaCircularSupMto },
  props: {
    objetoParametro: Object,
  },
  data() {
    return {
      direccionar: {},
      periodo: {},
    };
  },
  computed: {
    serviceCommons() {
      return serviceCommons;
    },
  },
  methods: {
    redireccion() {
      this.direccionar = {
        name: "supervision_mantenimiento_dashboard_regional_director",
        params: {
          parametros: this.serviceCommons.objectToBase64({
            nombreJefeZona: this.objetoParametro.value[0][0].nombreJefeZona,
            territorios: this.objetoParametro.value.map(
              (item1) => item1.map((item2) => item2.idTerritorio)[0]
            ),
            trimestreSeleccionado: this.objetoParametro.objectoInicioFinTrimestralZona
              .trimestreSeleccionado,
            añoSeleccionado: this.objetoParametro.objectoInicioFinTrimestralZona
              .añoSeleccionado,
          }),
        },
      };
      console.log(JSON.stringify(this.direccionar));
    },
  },

  created() {
    this.periodo = periodoSupervisionMtto;
    this.redireccion();
  },
};
</script>
